Modify

Opened 17 months ago

Closed 15 months ago

Last modified 3 months ago

#17353 closed defect (needinfo)

SEVERE: NaN in greatCircleDistance

Reported by: anonymous Owned by: anonymous
Priority: normal Milestone:
Component: Core Version: latest
Keywords: template_report Cc:

Description

What steps will reproduce the problem?

  1. Go to "Download", "Areas around places", server "Nominatim", and search for "Sunninghill".
  2. Choose the 2nd result: "Sunninghill, Johannesburg, City of Johannesburg Metropolitan Municipality, ..."
  3. Click "Download".

What is the expected result?

A map is downloaded and displayed.

What happens instead?

20000.0 km zoom, vertical yellow lines appear on a black background, cannot zoom, and the following error is repeatedly printed:

2019-02-17 15:59:37.834 SEVERE: NaN in greatCircleDistance
2019-02-17 15:59:37.840 SEVERE: NaN in greatCircleDistance
2019-02-17 15:59:37.845 SEVERE: NaN in greatCircleDistance
2019-02-17 15:59:37.862 SEVERE: NaN in greatCircleDistance

Happens with both 14760 and 14790.

Please provide any additional information below. Attach a screenshot if possible.

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2019-02-02 21:01:18 +0100 (Sat, 02 Feb 2019)
Build-Date:2019-02-04 21:50:11
Revision:14760
Relative:URL: ^/trunk

Identification: JOSM/1.5 (14760 en) FreeBSD
Memory Usage: 480 MB / 3568 MB (320 MB allocated, but free)
Java version: 1.8.0_192-b26, Oracle Corporation, OpenJDK 64-Bit Server VM
Screen: :0.0 1920x1080, :0.1 1920x1080
Maximum Screen Size: 1920x1080
Dataset consistency test: No problems found

Last errors/warnings:
- E: NaN in greatCircleDistance
- E: NaN in greatCircleDistance
- E: NaN in greatCircleDistance
- E: NaN in greatCircleDistance
- E: NaN in greatCircleDistance
- E: NaN in greatCircleDistance
- E: NaN in greatCircleDistance
- E: NaN in greatCircleDistance
- E: NaN in greatCircleDistance
- E: NaN in greatCircleDistance

Attachments (0)

Change History (6)

comment:1 Changed 17 months ago by Don-vip

Cannot reproduce, can you please attach a screenshot? What happens if JOSM is reduced to a smaller window before downloading data? I can't get a zoom of 20000.0km on my screen.

comment:2 Changed 17 months ago by Don-vip

In 14794/josm:

see #17353 - better error message

comment:3 Changed 17 months ago by Don-vip

Please try tomorrow with latest so we have better logs.

comment:4 Changed 17 months ago by Don-vip

Owner: changed from team to anonymous
Status: newneedinfo

up

comment:5 Changed 15 months ago by Don-vip

Resolution: needinfo
Status: needinfoclosed

comment:6 Changed 3 months ago by anonymous

It works now, in version 16239.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain anonymous.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.